package com.agilex.vamf.missionhealth.clientapi;

public class AuthenticationInfo {
	public static final String BASIC_AUTHENTICATION = "BASIC";
	public static final String DIGEST_AUTHENTICATION = "DIGEST";
	
	private String username;
	private String password;
	private String authtype;
	private String clientId; 
	private String clientSecret;
	private String facilityName;
	private String facilityCode;
	private boolean expectAuthenticationRequired;
	private String authorizeUrl;
	private String tokenUrl;

	public String getAuthorizeUrl() {
		return authorizeUrl;
	}

	public void setAuthorizeUrl(String authorizeUrl) {
		this.authorizeUrl = authorizeUrl;
	}

	public String getTokenUrl() {
		return tokenUrl;
	}

	public void setTokenUrl(String tokenUrl) {
		this.tokenUrl = tokenUrl;
	}

	public AuthenticationInfo() {
	}

	public AuthenticationInfo(String username, String password, String authtype) {
		this.username = username;
		this.password = password;
		this.authtype = authtype;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getUsername() {
		return username;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getPassword() {
		return password;
	}

	public void setAuthtype(String authtype) {
		this.authtype = authtype;
	}

	public String getAuthtype() {
		return authtype;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public boolean isExpectAuthenticationRequired() {
		return expectAuthenticationRequired;
	}

	public void setExpectAuthenticationRequired(boolean expectAuthenticationRequired) {
		this.expectAuthenticationRequired = expectAuthenticationRequired;
	}

	public String getClientSecret() {
		return clientSecret;
	}

	public void setClientSecret(String clientSecret) {
		this.clientSecret = clientSecret;
	}

	public String getFacilityName() {
		return facilityName;
	}

	public void setFacilityName(String facilityName) {
		this.facilityName = facilityName;
	}

	public String getFacilityCode() {
		return facilityCode;
	}

	public void setFacilityCode(String facilityCode) {
		this.facilityCode = facilityCode;
	}
}
